/*

  The Kitchen - Jaime Vives Piqueres 2004-2005

  Entry for the POVCOMP 2004

  i_fluorlamp.inc : a kitchen flkuorescent panel (off)

*/

#declare Cl_Fluorescent =EmissiveSpectrum(ES_Mitsubishi_Daylight_Fluorescent);
#declare fluor_lamp=
union{
 difference{
  cylinder{<0,-10,0>,<0,10,0>,15}
  cylinder{<0,-10.1,0>,<0,9.99,0>,14.5}
  texture{t_aluminum}
 }
 cylinder{<0,10,0>,<0,9,0>,14.49
  texture{pigment{rgbf 1} finish{ambient 0 diffuse 0}}
  interior{media{emission Light_Color(Cl_Fluorescent,900*4*(pi/2))*2}}
  hollow no_shadow
 }
 light_source{
  0, Light_Color(Cl_Fluorescent,50)
//  spotlight radius 45 falloff 60 tightness 0 point_at -y
  #if (use_area)
  area_light 9*x,9*z,6,6 jitter adaptive 1 circular
  #end
  Light_Fading()
  translate -9*y
 }
}
#declare fluor_lamp_off=
union{
 difference{
  cylinder{<0,-10,0>,<0,10,0>,15}
  cylinder{<0,-10.1,0>,<0,9.99,0>,14.5}
  texture{t_aluminum}
 }
 cylinder{<0,10,0>,<0,9,0>,14.49
  texture{t_white_plastic}
 }
}

