/*

  The Kitchen - Jaime Vives Piqueres 2004-2005

  Entry for the POVCOMP 2004

  i_seastar.inc : a sea star from my beach scene

*/

// *** sea star **
#declare p_marble=
pigment{
 agate turbulence .1
}
#declare fp_star=
function{
pigment{
   radial
   pigment_map{
    [0.0 p_marble rotate 90*y]
    [0.1 granite]
    [0.2 p_marble rotate 90*y rotate 72*y]
    [0.3 granite]
    [0.4 p_marble rotate 90*y rotate 72*2*y]
    [0.5 granite]
    [0.6 p_marble rotate 90*y rotate 72*3*y]
    [0.7 granite]
    [0.8 p_marble rotate 90*y rotate 72*4*y]
    [0.9 granite]
    [1.0 p_marble rotate 90*y rotate 72*5*y]
   }
   scale .25
  }
}
#declare ts=
 texture{
  pigment{rgb ReferenceRGB(Orange*.7+White*.2)}
 }
#declare f_starskin=
function{
 sqrt(x*x+z*z)*(-sin(f_th(x,y,z)*5))*.09*f_ripples(x*.1,y*.1,z*.1)
}
#declare f_estrella=
function{
// (sqrt(x*x+y*y+z*z)-1)+pow(sin(f_th(x,y,z)*5),2)*.2*(1-y*y)-f_crackle(x*20,y*20/8,z*20)*.05 // 
// (sqrt(x*x+y*y+z*z)-1)+max(sin(f_th(x,y,z)*5),cos(f_th(x,y,z)*5))*.2*(1-y*y)-f_crackle(x*20,y*20/8,z*20)*.05 
// (sqrt(x*x+y*y+z*z)-1)+asin(sin(f_th(x,y,z)*10))*.2*(1-y*y)+f_crackle(x*20,y*20/8,z*20)*.05 
// (sqrt(x*x+y*y+z*z)-1)+(sin(f_th(x,y,z)*5)-cos(f_th(x,y,z)*10)*.5)*.2*(1-y*y)-f_crackle(x*20,y*20/8,z*20)*.05 
 (sqrt(x*x+y*y+z*z)-1)+sin(f_th(x,y,z)*5)*.2*(1-y*y)*(x*x+z*z)-f_starskin(x*20,y*20,z*20)*.05+fp_star(x,y/4,z).gray*.2*(y)
}
#declare estrella=
isosurface{
 function{f_estrella(x,y,z)}
 max_gradient 3
 contained_by{sphere{0,2}}
 scale <4,1,4>
 texture{ts}
}


